%global momorel 5

Name:           perl-Catalyst-Plugin-Session-PerUser
Version:        0.03
Release: %{momorel}m%{?dist}
Summary:        Per user sessions (instead of per browser sessions)
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Plugin-Session-PerUser/
Source0:        http://www.cpan.org/authors/id/D/DK/DKAMHOLZ/Catalyst-Plugin-Session-PerUser-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Catalyst-Plugin-Authentication >= 0.01
BuildRequires:  perl-Catalyst-Plugin-Session >= 0.01
BuildRequires:  perl-Hash-Merge
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Object-Signature
Requires:       perl-Catalyst-Plugin-Authentication >= 0.01
Requires:       perl-Catalyst-Plugin-Session >= 0.01
Requires:       perl-Hash-Merge
Requires:       perl-Object-Signature
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This plugin allows you to write e.g. shopping cart code which should behave
well for guests as well as permanent users.

%prep
%setup -q -n Catalyst-Plugin-Session-PerUser-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*




%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*/*/*/*
%{_mandir}/man3/*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.03-5m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.03-4m)
- rebuild against gcc43

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.03-3m)
- use vendor

* Sat Oct 07 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.03-2m)
- delete dupclicate directory

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.03-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
